from app.models.file import File
from app.models.inventory_management import (
    PhysicalItem,
    InventoryItem,
    TransactionItem,
    OpenEvent,
    Vendor,
    Customer,
    Transaction
)
from app.models.mtgjson_card import MTGJSONCard
from app.models.mtgjson_sku import MTGJSONSKU
from app.models.product import Product
from app.models.tcgplayer_category import TCGPlayerCategory
from app.models.tcgplayer_group import TCGPlayerGroup
from app.models.tcgplayer_inventory import TCGPlayerInventory
from app.models.tcgplayer_order import (
    TCGPlayerOrder,
    TCGPlayerOrderTransaction,
    TCGPlayerOrderProduct,
    TCGPlayerOrderRefund
)
from app.models.tcgplayer_price_history import TCGPlayerPriceHistory
from app.models.tcgplayer_product import TCGPlayerProduct

# This makes all models available for Alembic to discover
__all__ = [
    'File',
    'PhysicalItem',
    'InventoryItem',
    'TransactionItem',
    'OpenEvent',
    'Vendor',
    'Customer',
    'Transaction',
    'MTGJSONCard',
    'MTGJSONSKU',
    'Product',
    'TCGPlayerCategory',
    'TCGPlayerGroup',
    'TCGPlayerInventory',
    'TCGPlayerOrder',
    'TCGPlayerOrderTransaction',
    'TCGPlayerOrderProduct',
    'TCGPlayerOrderRefund',
    'TCGPlayerPriceHistory',
    'TCGPlayerProduct'
] 